Life event types
The life event types resource is used to manage different types of life events.
Life event type object
{
"id": "019f3d18-2e77-7a6a-96fc-ef8ceeb27d1a",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"category": "employment",
"title": "Salary change",
"description": null,
"archived_at": null,
"created_at": "2026-07-07 15:00:22",
"updated_at": "2026-07-07 16:42:30"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- categoryrequired stringCategory of the life event. One of:
educationemploymentfinancialhousinglegalmedicalpersonaltransportationother
- titlerequired stringTitle of the event type. Must be unique to the category.
- descriptionnullable stringDescription of the event type.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a life event type
POST /tenants/{tenantId}/life-event-types
The request body must include a life event type object.
Required permissions
life_event_types:create
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Life event type object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Title name already exists for category | Error object |
List life event types
GET /tenants/{tenantId}/life-event-types
Required permissions
life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of life event type objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a life event type
GET /tenants/{tenantId}/life-event-types/{id}
Required permissions
life_event_types:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Life event type object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or life event type ID not found | Error object |
Update a life event type
PATCH /tenants/{tenantId}/life-event-types/{id}
The request body must include parts of a life event type object.
Required permissions
life_event_types:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated life event type record | Life event type object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or location ID not found | Error object |
| 409 | Conflict | Title name already exists for category | Error object |
Delete a life event type
DELETE /tenants/{tenantId}/life-event-types/{id}
Note that a life event type cannot be deleted if it is still in use by any life events.
Required permissions
life_event_types:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
| 409 | Conflict | Event type still in use | Error object |
Was this page helpful?